textures/urban_terror3/w2k_bush1
{
        qer_editorimage textures/urban_terror3/w2k_bush1.tga
    	surfaceparm trans
	surfaceparm alphashadow
	surfaceparm playerclip
   	surfaceparm nonsolid
	cull none
        nopicmip
	{
		map textures/urban_terror3/w2k_bush1.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/urban_terror4/nrg_ladder
{
        qer_editorimage textures/urban_terror4/nrg_ladder.tga
    	surfaceparm trans
	cull none
        nopicmip
	{
		map textures/urban_terror4/nrg_ladder.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/urban_terror2/metal_bright
{

	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/urban_terror2/metal_bright.tga
		blendfunc gl_src_alpha gl_one_minus_src_alpha
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/urban_terror3/glass_clear
{
	qer_editorimage textures/effects/tinfx.tga
	qer_trans 0.5
	surfaceparm nolightmap
	surfaceparm trans

	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}
}

textures/urban_terror/ladderclip
{
        qer_trans 0.40
        surfaceparm nolightmap
        surfaceparm nomarks
        surfaceparm nodraw
        surfaceparm nonsolid
        surfaceparm playerclip
        surfaceparm noimpact
        surfaceparm ladder
}

textures/urban_terror2/fence
{
	surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/urban_terror2/fence.tga
		tcmod scale 3 3
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

models/mapobjects/nateleaf1/tree2
{
    cull disable
    surfaceparm alphashadow
        {
                map models/mapobjects/nateleaf1/tree2.tga
                alphafunc ge128
		depthwrite
		rgbgen vertex
        }
}

textures/common/caulk
{
	surfaceparm nodraw
        surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nodamage
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
}

textures/common/nodraw
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/common/weapclip
{
	qer_trans 0.40
	surfaceparm nodraw
    	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nomarks
}

textures/common/botclip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm botclip
}

textures/base_floor/hfloor3
{
	
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_floor/hfloor3.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/effects/tinfx.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/base_floor/hfloor3.tga
		
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
       
              
}

textures/base_floor/pjgrate1
{
	surfaceparm	metalsteps		
	cull none

	
	{
		map textures/base_floor/pjgrate1.tga
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_light/baslt4_1_2k
{
	qer_editorimage textures/base_light/baslt4_1.tga
	surfaceparm nomarks
	q3map_surfacelight 2000
	

	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/baslt4_1.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_light/proto_lightred2
{
	q3map_lightimage textures/base_light/proto_lightred.tga
	qer_editorimage textures/base_light/proto_lightred.tga
	surfaceparm nomarks
	q3map_surfacelight 1000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/proto_lightred.tga
		blendfunc filter
		rgbgen identity
	}
        {
		map textures/base_light/proto_lightred.tga
		blendfunc add
		rgbgen wave square .5 .5 0 1
	}
	
}

textures/base_light/xceil1_39
{
	qer_editorimage textures/base_light/ceil1_39.tga
	surfaceparm nomarks
	q3map_surfacelight 20000
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_light/ceil1_39.blend.tga
		blendfunc gl_one gl_one
	}
}

textures/base_trim/tin
{
        {
		rgbgen identity
		map $lightmap
	}
	{
		map textures/base_trim/tin.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
        {
		map textures/base_trim/tinfx.tga
                tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
       
        {
		map textures/base_trim/tin.tga
                blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/base_wall/grill
{
	

	{
		map textures/base_wall/chrome_env.tga
	        rgbgen identity
		tcgen environment
		tcmod scale .25 .25
	}
	
	{
		map textures/base_wall/grill.tga
		blendfunc gl_one_minus_src_alpha gl_src_alpha	
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/gothic_light/gothic_light2_4k
{
	qer_editorimage textures/gothic_light/gothic_light2.tga
	q3map_surfacelight 4000
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/gothic_light2_blend.tga
		rgbgen wave sin .6 .1 .1 .1
		blendfunc gl_one gl_one
	}
}

textures/gothic_wall/xoct20c_shiney
{
	qer_editorimage textures/gothic_wall/xoct20c_shiney.tga
	{
		map $lightmap
		rgbgen identity      
	}
	
	{
		map textures/gothic_wall/xoct20c_shiney.tga
		blendfunc gl_dst_color gl_src_alpha
		rgbgen identity
		alphagen lightingspecular
	}
}

textures/liquids/clear_ripple1
{
		qer_editorimage textures/liquids/pool3d_3.tga
		qer_trans .5
		q3map_globaltexture
		surfaceparm trans
		surfaceparm nonsolid
		surfaceparm water

		cull disable
		deformvertexes wave 64 sin .5 .5 0 .5	
	
		
		{ 
			map textures/liquids/pool3d_5.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 1.5 0 1.5 1 1 2
			tcmod scroll -.05 .001
		}
	
		{ 
			map textures/liquids/pool3d_6.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .5 .5
			tcmod transform 0 1.5 1 1.5 2 1
			tcmod scroll .025 -.001
		}

		{ 
			map textures/liquids/pool3d_3.tga
			blendfunc gl_dst_color gl_one
			rgbgen identity
			tcmod scale .25 .5
			tcmod scroll .001 .025
		}	

		{
			map $lightmap
			blendfunc gl_dst_color gl_zero
			rgbgen identity		
		}

}

textures/sfx/blackness
{	
	surfaceparm nolightmap
	surfaceparm noimpact
	surfaceparm nomarks
	{
		map textures/sfx/blackness.tga
	}
}

textures/sfx/fan
{
        surfaceparm trans	
        surfaceparm nomarks	
	cull none
        nopicmip
	{
		clampmap textures/sfx/fan.tga
		tcmod rotate 256 
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/sfx/flame2
{
		surfaceparm nomarks
		surfaceparm nolightmap
		cull none
		q3map_surfacelight 5500
		qer_editorimage textures/sfx/flame2.tga

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	

	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/sfx/flameanim_dimmer
{
	qer_editorimage textures/sfx/flame1.tga
	q3map_lightimage textures/sfx/flame6.tga
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm nolightmap
	cull none
	q3map_surfacelight 1500

	{
		animmap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendfunc gl_one gl_one
		rgbgen wave inversesawtooth 0 1 0 10
		
	}	
	{
		animmap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendfunc gl_one gl_one
		rgbgen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .6 .2 0 .6	
	}

}

textures/urban_terror6/ww-window01
{
	{	
		map textures/urban_terror6/ww-window01.tga
	}
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
	}

	{
		map textures/urban_terror6/ww-window01.tga
   		blendfunc gl_src_alpha gl_one_minus_src_alpha
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_src_color
	}
}

textures/bbq/dirt05
{
	q3map_nonplanar 
	q3map_shadeangle 179
	{
		map textures/bbq/dirt05.tga
		rgbgen identity
	}

	{ 
		map $lightmap 
		blendfunc gl_dst_color gl_zero 
	} 
}

models/mapobjects/gr_trees/tree6
{
	surfaceparm alphashadow
	surfaceparm trans
	cull none
	nopicmip

	{
		map models/mapobjects/gr_trees/tree6.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

models/mapobjects/oak/oakblaetter
{
	cull none
	nopicmip

	{
		map models/mapobjects/oak/oakblaetter.tga
		alphafunc ge128
		depthwrite
		rgbgen vertex
	}
}

textures/ut_zero/sl_hedge2
{
	qer_editorimage textures/ut_zero/sl_hedge02.tga
	cull none
	nopicmip

	{
	map textures/ut_zero/sl_hedge02.tga
	blendfunc gl_one gl_zero
	alphafunc ge128
	depthwrite
	rgbgen identity
	}
	{
	map $lightmap
	rgbgen identity
	blendfunc gl_dst_color gl_zero
	depthfunc equal
	}
}

textures/ut_zero/sl_window1_f
{
	qer_editorimage textures/ut_zero/sl_win303_t.tga
	cull none
	nopicmip
	surfaceparm nonsolid

	{
	map textures/ut_zero/sl_win303_t.tga
	blendfunc gl_one gl_zero
	alphafunc ge128
	depthwrite
	rgbgen identity
	}
	{
	map $lightmap
	rgbgen identity
	blendfunc gl_dst_color gl_zero
	depthfunc equal
	}
}

textures/ut_zero/sl_window67
{
	qer_editorimage textures/ut_zero/bared_white_tr.tga
	cull none
	nopicmip
	surfaceparm nonsolid

	{
	map textures/ut_zero/bared_white_tr.tga
	blendfunc gl_one gl_zero
	alphafunc ge128
	depthwrite
	rgbgen identity
	}
	{
	map $lightmap
	rgbgen identity
	blendfunc gl_dst_color gl_zero
	depthfunc equal
	}
}

textures/ut_zero/sl_window3_f
{
	qer_editorimage textures/ut_zero/sl_win_09.tga
	q3map_lightimage textures/ut_zero/sl_win_09_blend.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_zero/sl_win_09.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_zero/sl_win_09_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ut_zero/sl_falls_f
{
	qer_editorimage textures/ut_zero/sl_falls.tga
	surfaceparm trans	
	surfaceparm nomarks	
	surfaceparm nonsolid
	surfaceparm nolightmap
	qer_trans .6
	deformvertexes move .5 .5 0  sin 0 0 0 0.1
	deformvertexes move .6 .5.3 0  sin 0 .1 0 0.4
	cull none
       
	{
	map textures/ut_zero/sl_falls.tga
	tcmod scroll .2 -1
	tcmod turb .25 .25 0 -.25
	blendfunc gl_one gl_one
	}
	{
	map textures/ut_zero/sl_falls.tga
	tcmod scroll .01 -1.3               
	blendfunc gl_one gl_one
        }     
}

textures/ut_zero/sl_ladder_f
{
	qer_editorimage textures/ut_zero/sl_ladder.tga
	surfaceparm trans
	cull none
	nopicmip
	qer_trans 0.5

	{
	map textures/ut_zero/sl_ladder.tga
	blendfunc gl_one gl_zero
	alphafunc ge128
	depthwrite
	rgbgen identity
	}
	{
	map $lightmap
	rgbgen identity
	blendfunc gl_dst_color gl_zero
	depthfunc equal
	}
}

textures/ut_zero/sl_camo_net
{
	qer_editorimage textures/urban_terror7/fs_camo-netting.tga
	cull none
	nopicmip
	surfaceparm nonsolid

	{
	map textures/urban_terror7/fs_camo-netting.tga
	blendfunc gl_one gl_zero
	alphafunc ge128
	depthwrite
	rgbgen identity
	}
	{
	map $lightmap
	rgbgen identity
	blendfunc gl_dst_color gl_zero
	depthfunc equal
	}
}

textures/ut_zero/sl_grid_f
{
	qer_editorimage textures/ut_zero/sl_clg_grid.tga
	q3map_lightimage textures/ut_zero/sl_clg_grid_blend.tga
	q3map_surfacelight 200
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/ut_zero/sl_clg_grid.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_zero/sl_clg_grid_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/ut_zero/steam_fx_z
{
	qer_editorimage textures/ut_zero/qer_steam_1.tga
	qer_trans 0.4
	cull none
	deformvertexes autosprite2
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm pointlight
	deformvertexes wave 50 sin 0 3 0 .3
	deformvertexes move .3 .1 0  sin 0 .5 0 0.2

	{
		map textures/ut_zero/sl_steam_02.tga
		tcmod scroll 0 0.3
		blendfunc blend
		rgbgen vertex
	}

}

textures/ut_zero/sl_bnet
{
	qer_editorimage textures/ut_zero/sl_net.tga
	cull none
	nopicmip
	surfaceparm nonsolid

	{
	map textures/ut_zero/sl_net.tga
	blendfunc gl_one gl_zero
	alphafunc ge128
	depthwrite
	rgbgen identity
	}
	{
	map $lightmap
	rgbgen identity
	blendfunc gl_dst_color gl_zero
	depthfunc equal
	}
}

textures/ut_zero/sl_bball
{
	qer_editorimage textures/ut_zero/sl_ball.tga
	cull none
	nopicmip
	surfaceparm nonsolid
	surfaceparm nomarks	
	surfaceparm nolightmap
	deformvertexes autosprite

	{
	map textures/ut_zero/sl_ball.tga
	blendfunc gl_one gl_zero
	alphafunc ge128
	depthwrite
	rgbgen identity
	}
	{
	map $lightmap
	rgbgen identity
	blendfunc gl_dst_color gl_zero
	depthfunc equal
	}
}

textures/ut_zero/sl_windowlight_f
{
	qer_editorimage textures/urban_terror8/wind-owb.tga
	q3map_lightimage textures/ut_zero/sl_win_33_blend.tga
	q3map_surfacelight 300
	surfaceparm nomarks
	
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/urban_terror8/wind-owb.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/ut_zero/sl_win_33_blend.tga
		blendfunc gl_one gl_one
	}
}

textures/velcor/velcor
{
	qer_editorimage textures/ut_zero/velcor.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_globaltexture
	q3map_lightsubdivide 256
	surfaceparm sky
	q3map_sun .8 .8 .8 120 260 80
	q3map_surfacelight 100

        skyparms env/velcor/velcor512 - -
}

